//GFXFADE - [2020-06-22 11:41:46]
#ifndef _GFXFADE_H_
#define _GFXFADE_H_

#include "common.h"

/*
0018433E GFXFADE_SetUpWithoutFade()
00184340 GFXFADE_FadeOut(EFadeType)
00184374 GFXFADE_FadeIn(EFadeType)
001843B0 GFXFADE_IsFadingOut()
001843BC GFXFADE_IsFadingIn()
001843E0 GFXFADE_GetFadeTick()
001843EC GFXFADE_IsFadedOut()
00184410 GFXFADE_IsFading()
00184438 GFXFADE_Init()
0018445C GFXFADE_Reset()
00184480 GFXFADE_Kill()
00184484 GFXFADE_Update(bool)
00184508 GFXFADE_Render()
*/

enum EFadeType {
  EFadeType_0,
  EFadeType_1,
  EFadeType_2,
  EFadeType_3,
  EFadeType_4,
  EFadeType_5
};

void GFXFADE_SetUpWithoutFade();        //0018433E
bool GFXFADE_FadeOut(EFadeType eType);  //00184340
void GFXFADE_FadeIn(EFadeType);         //00184374
bool GFXFADE_IsFadingOut();             //001843B0
bool GFXFADE_IsFadingIn();              //001843BC
uchar GFXFADE_GetFadeTick();            //001843E0
bool GFXFADE_IsFadedOut();              //001843EC
bool GFXFADE_IsFading();                //00184410
void GFXFADE_Init();                    //00184438
void GFXFADE_Reset();                   //0018445C
void GFXFADE_Kill();                    //00184480
void GFXFADE_Update(bool);              //00184484
void GFXFADE_Render();                  //00184508

#endif  //_GFXFADE_H_